<?php
require_once __DIR__ . '/../connect.php';

$platform = filterRequest("platform");
$appName = filterRequest("appName");

$sql = "SELECT
    `id`,
    `platform`,
    `appName`,
    `createdAt`,
    `version`
FROM
    `packageInfo`
WHERE
     platform='$platform' and appName='$appName';";

$stmt = $con->prepare($sql);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);

if ($stmt->rowCount() > 0) {
    // Print all the records
    // printData($result);
     jsonSuccess($data = $result);
} else {
    // Print a failure message
    jsonError($message = "No records found");
}
?>